Loading...
Searching...
No Matches
elastix Namespace Reference

## Namespaces

namespace | CoreMainGTestUtilities
namespace | GTestUtilities
namespace | LibUtilities

## Data Structures

class | AdaGrad
class | AdaptiveStochasticGradientDescent
class | AdaptiveStochasticLBFGS
class | AdaptiveStochasticVarianceReducedGradient
class | AdvancedAffineTransformElastix
class | AdvancedBSplineTransform
class | AdvancedKappaStatisticMetric
class | AdvancedMattesMutualInformationMetric
class | AdvancedMeanSquaresMetric
class | AdvancedNormalizedCorrelationMetric
class | AdvancedTransformAdapter
class | AffineDTITransformElastix
class | AffineLogStackTransform
class | AffineLogTransformElastix
class | BaseComponent
class | BaseComponentSE
class | BSplineInterpolator
class | BSplineInterpolatorFloat
class | BSplineResampleInterpolator
class | BSplineResampleInterpolatorFloat
class | BSplineStackTransform
class | BSplineTransformWithDiffusion
class | CMAEvolutionStrategy
class | ComponentDatabase
class | ComponentInstaller
class | ComponentInstaller< TComponent, NrOfSupportedImageTypes+1 >
class | ComponentLoader
class | Configuration
class | ConjugateGradient
class | ConjugateGradientFRPR
class | Conversion
class | CorrespondingPointsEuclideanDistanceMetric
class | DefaultConstruct
class | DefaultResampler
class | DeformationFieldTransform
class | DisplacementMagnitudePenalty
class | DistancePreservingRigidityPenalty
class | ELASTIX
class | ElastixBase
class | ElastixMain
class | ElastixTemplate
class | ElastixTypedef
class | EulerStackTransform
class | EulerTransformElastix
class | ExternalTransform
class | FiniteDifferenceGradientDescent
class | FixedGenericPyramid
struct | FixedImageDimensionSupport
struct | FixedImageDimensionSupport< maxSupportedImageDimension+1 >
class | FixedImagePyramidBase
class | FixedRecursivePyramid
class | FixedShrinkingPyramid
class | FixedSmoothingPyramid
class | FullSampler
class | FullSearch
class | GenericPyramidHelper
class | GradientDifferenceMetric
class | GridSampler
class | ImageSamplerBase
class | InstallFunctions
class | InterpolatorBase
class | IterationInfo
class | KNNGraphAlphaMutualInformationMetric
class | LinearInterpolator
class | LinearResampleInterpolator
class | log
class | MainBase
class | MetricBase
class | MissingStructurePenalty
class | MovingGenericPyramid
class | MovingImagePyramidBase
class | MovingRecursivePyramid
class | MovingShrinkingPyramid
class | MovingSmoothingPyramid
class | MultiBSplineTransformWithNormal
class | MultiInputRandomCoordinateSampler
class | MultiMetricMultiResolutionRegistration
class | MultiResolutionRegistration
class | MultiResolutionRegistrationWithFeatures
class | NearestNeighborInterpolator
class | NearestNeighborResampleInterpolator
class | NormalizedGradientCorrelationMetric
class | NormalizedMutualInformationMetric
class | OpenCLFixedGenericPyramid
class | OpenCLMovingGenericPyramid
class | OpenCLResampler
class | OptimizerBase
class | ParameterObject
class | PatternIntensityMetric
class | PCAMetric
class | PCAMetric2
class | PolydataDummyPenalty
class | Powell
class | PreconditionedStochasticGradientDescent
class | ProgressCommand
class | QuasiNewtonLBFGS
class | RandomCoordinateSampler
class | RandomSampler
class | RandomSamplerSparseMask
class | RayCastInterpolator
class | RayCastResampleInterpolator
class | RecursiveBSplineTransform
class | ReducedDimensionBSplineInterpolator
class | ReducedDimensionBSplineResampleInterpolator
class | RegistrationBase
class | RegularStepGradientDescent
class | ResampleInterpolatorBase
class | ResamplerBase
class | RSGDEachParameterApart
class | SimilarityTransformElastix
class | Simplex
class | SimultaneousPerturbation
class | SplineKernelTransform
class | StandardGradientDescent
class | StatisticalShapePenalty
class | SumOfPairwiseCorrelationCoefficientsMetric
class | SumSquaredTissueVolumeDifferenceMetric
class | TransformBase
class | TransformBendingEnergyPenalty
class | TransformFactoryRegistration
class | TransformIO
class | TransformixMain
class | TransformRigidityPenalty
class | TranslationStackTransform
class | TranslationTransformElastix
class | VarianceOverLastDimensionMetric
class | WeightedCombinationTransformElastix

## Enumerations

enum class | MaskCondition { IsNull , HasSameImageDomain , HasDifferentImageDomain }

## Functions

| elxSupportedImageTypeMacro (float, 2, float, 2, 1)
| elxSupportedImageTypeMacro (float, 3, float, 3, 3)
| elxSupportedImageTypeMacro (float, 4, float, 4, 5)
| elxSupportedImageTypeMacro (short, 3, short, 3, 2)
| elxSupportedImageTypeMacro (short, 4, short, 4, 4)
template<typename TFunction>
void | ForEachSupportedImageType (const TFunction &func)
template<typename TFunction, std::vcl_size_t... VIndexSequence>
void | ForEachSupportedImageType (const TFunction &func, const std::index_sequence< VIndexSequence... > &)
template<typename TFunction>
bool | ForEachSupportedImageTypeUntilTrue (const TFunction &func)
template<typename TFunction, std::vcl_size_t... VIndexSequence>
bool | ForEachSupportedImageTypeUntilTrue (const TFunction &func, const std::index_sequence< VIndexSequence... > &)
std::string | GetExtendedVersionInformation (const char *const executableName, const char *const indentation="")
std::string | MakeStringOfCommandLineArguments (const char *const *const arguments)
template<unsigned int VImageDimension>
bool | MaskHasSameImageDomain (const itk::ImageMaskSpatialObject< VImageDimension > &mask, const itk::ImageBase< VImageDimension > &inputImage)
template<typename>
constexpr const char * | PixelTypeToString ()=delete
template<>
constexpr const char * | PixelTypeToString< char > ()
template<>
constexpr const char * | PixelTypeToString< double > ()
template<>
constexpr const char * | PixelTypeToString< float > ()
template<>
constexpr const char * | PixelTypeToString< int > ()
template<>
constexpr const char * | PixelTypeToString< long > ()
template<>
constexpr const char * | PixelTypeToString< short > ()
template<>
constexpr const char * | PixelTypeToString< unsigned char > ()
template<>
constexpr const char * | PixelTypeToString< unsigned int > ()
template<>
constexpr const char * | PixelTypeToString< unsigned long > ()
template<>
constexpr const char * | PixelTypeToString< unsigned short > ()
void | ReportTerminatingException (const char *const executableName, const std::exception &stdException) noexcept
template<unsigned VDimension>
constexpr bool | SupportsFixedDimension ()
template<unsigned VDimension, std::vcl_size_t... VIndex>
constexpr bool | SupportsFixedDimensionByImageTypeIndexSequence (std::index_sequence< VIndex... >)
bool | ToLogLevel (const std::string &str, log::level &logLevel)

## Variables

constexpr const char * | gitRevisionDate = ""
constexpr const char * | gitRevisionSha = ""
constexpr unsigned | maxSupportedImageDimension { 4 }
constexpr unsigned | minSupportedImageDimension { 2 }
const unsigned int | NrOfSupportedImageTypes = 5
const auto | SupportedFixedImageDimensionSequence

## Detailed Description

Include itk transforms needed.

Include structure for the diffusion.

Include itk transforms needed. Include grid schedule computer and upsample filter.

Needed for the macros

Needed for the macros.

Needed for the macros Mask support.

******************* elxBaseComponent.h *************************

This file defines the class elx::BaseComponent, from which all elastix components should inherit. It contains some methods that each component is supposed to have.

The namespace alias elx is defined in this file. All elastix components should be in namespace elastix.

## Enumeration Type Documentation

## MaskCondition

enum class elastix::MaskCondition

strong

Enum to indicate that a mask is null, has the same domain as the input image, or has a different image domain.

Enumerator
IsNull |
HasSameImageDomain |
HasDifferentImageDomain |

Definition at line 29 of file elxMaskHasSameImageDomain.h.

## Function Documentation

## elxSupportedImageTypeMacro() [1/5]

elastix::elxSupportedImageTypeMacro | ( | float | ,
|  | 2 | ,
|  | float | ,
|  | 2 | ,
|  | 1 | )

## elxSupportedImageTypeMacro() [2/5]

elastix::elxSupportedImageTypeMacro | ( | float | ,
|  | 3 | ,
|  | float | ,
|  | 3 | ,
|  | 3 | )

## elxSupportedImageTypeMacro() [3/5]

elastix::elxSupportedImageTypeMacro | ( | float | ,
|  | 4 | ,
|  | float | ,
|  | 4 | ,
|  | 5 | )

## elxSupportedImageTypeMacro() [4/5]

elastix::elxSupportedImageTypeMacro | ( | short | ,
|  | 3 | ,
|  | short | ,
|  | 3 | ,
|  | 2 | )

## elxSupportedImageTypeMacro() [5/5]

elastix::elxSupportedImageTypeMacro | ( | short | ,
|  | 4 | ,
|  | short | ,
|  | 4 | ,
|  | 4 | )

## ForEachSupportedImageType() [1/2]

template<typename TFunction>

void elastix::ForEachSupportedImageType | ( | const TFunction & | func | ) |

Runs a function func(ElastixTypedef<VIndex>{}), for each supported image type from "elxSupportedImageTypes.h".

Definition at line 44 of file elxForEachSupportedImageType.h.

## ForEachSupportedImageType() [2/2]

template<typename TFunction, std::vcl_size_t... VIndexSequence>

void elastix::ForEachSupportedImageType | ( | const TFunction & | func,
|  | const std::index_sequence< VIndexSequence... > & | )

Definition at line 32 of file elxForEachSupportedImageType.h.

## ForEachSupportedImageTypeUntilTrue() [1/2]

template<typename TFunction>

bool elastix::ForEachSupportedImageTypeUntilTrue | ( | const TFunction & | func | ) |

Runs a function func(ElastixTypedef<VIndex>{}), for each supported image type from "elxSupportedImageTypes.h", until the function returns true.

Definition at line 62 of file elxForEachSupportedImageType.h.

## ForEachSupportedImageTypeUntilTrue() [2/2]

template<typename TFunction, std::vcl_size_t... VIndexSequence>

bool elastix::ForEachSupportedImageTypeUntilTrue | ( | const TFunction & | func,
|  | const std::index_sequence< VIndexSequence... > & | )

Definition at line 51 of file elxForEachSupportedImageType.h.

## GetExtendedVersionInformation()

std::string elastix::GetExtendedVersionInformation | ( | const char *const | executableName,
|  | const char *const | indentation = "" )

Prints extended version information to standard output.

## MakeStringOfCommandLineArguments()

std::string elastix::MakeStringOfCommandLineArguments | ( | const char *const *const | arguments | ) |

Makes a string of all command-line arguments.

## MaskHasSameImageDomain()

template<unsigned int VImageDimension>

bool elastix::MaskHasSameImageDomain | ( | const itk::ImageMaskSpatialObject< VImageDimension > & | mask,
|  | const itk::ImageBase< VImageDimension > & | inputImage )

Returns true, if and only if the mask has exactly the same image domain (image region, origin, spacing, direction) as the specified input image.

Definition at line 40 of file elxMaskHasSameImageDomain.h.

## PixelTypeToString()

template<typename>

const char * elastix::PixelTypeToString | ( |  | ) |

constexpr delete

## PixelTypeToString< char >()

template<>

const char * elastix::PixelTypeToString< char > | ( |  | ) |

constexpr

Definition at line 31 of file elxPixelTypeToString.h.

## PixelTypeToString< double >()

template<>

const char * elastix::PixelTypeToString< double > | ( |  | ) |

constexpr

Definition at line 94 of file elxPixelTypeToString.h.

## PixelTypeToString< float >()

template<>

const char * elastix::PixelTypeToString< float > | ( |  | ) |

constexpr

Definition at line 87 of file elxPixelTypeToString.h.

## PixelTypeToString< int >()

template<>

const char * elastix::PixelTypeToString< int > | ( |  | ) |

constexpr

Definition at line 59 of file elxPixelTypeToString.h.

## PixelTypeToString< long >()

template<>

const char * elastix::PixelTypeToString< long > | ( |  | ) |

constexpr

Definition at line 73 of file elxPixelTypeToString.h.

## PixelTypeToString< short >()

template<>

const char * elastix::PixelTypeToString< short > | ( |  | ) |

constexpr

Definition at line 45 of file elxPixelTypeToString.h.

## PixelTypeToString< unsigned char >()

template<>

const char * elastix::PixelTypeToString< unsigned char > | ( |  | ) |

constexpr

Definition at line 38 of file elxPixelTypeToString.h.

## PixelTypeToString< unsigned int >()

template<>

const char * elastix::PixelTypeToString< unsigned int > | ( |  | ) |

constexpr

Definition at line 66 of file elxPixelTypeToString.h.

## PixelTypeToString< unsigned long >()

template<>

const char * elastix::PixelTypeToString< unsigned long > | ( |  | ) |

constexpr

Definition at line 80 of file elxPixelTypeToString.h.

## PixelTypeToString< unsigned short >()

template<>

const char * elastix::PixelTypeToString< unsigned short > | ( |  | ) |

constexpr

Definition at line 52 of file elxPixelTypeToString.h.

## ReportTerminatingException()

void elastix::ReportTerminatingException | ( | const char *const | executableName,
|  | const std::exception & | stdException )

noexcept

Reports the exception that is terminating the process to the user.

## SupportsFixedDimension()

template<unsigned VDimension>

bool elastix::SupportsFixedDimension | ( |  | ) |

constexpr

Definition at line 55 of file elxSupportedImageDimensions.h.

## SupportsFixedDimensionByImageTypeIndexSequence()

template<unsigned VDimension, std::vcl_size_t... VIndex>

bool elastix::SupportsFixedDimensionByImageTypeIndexSequence | ( | std::index_sequence< VIndex... > |  | ) |

constexpr

Definition at line 37 of file elxSupportedImageDimensions.h.

## ToLogLevel()

bool elastix::ToLogLevel | ( | const std::string & | str,
|  | log::level & | logLevel )

## Variable Documentation

## gitRevisionDate

const char* elastix::gitRevisionDate = ""

constexpr

Definition at line 26 of file elxGitRevisionInfo.h.

## gitRevisionSha

const char* elastix::gitRevisionSha = ""

constexpr

Definition at line 25 of file elxGitRevisionInfo.h.

## maxSupportedImageDimension

unsigned elastix::maxSupportedImageDimension { 4 }

constexpr

The maximum possible supported image dimension (for either fixed or moving images).

Definition at line 32 of file elxSupportedImageDimensions.h.

## minSupportedImageDimension

unsigned elastix::minSupportedImageDimension { 2 }

constexpr

The minimum possible supported image dimension (for either fixed or moving images).

Definition at line 29 of file elxSupportedImageDimensions.h.

## NrOfSupportedImageTypes

const unsigned int elastix::NrOfSupportedImageTypes = 5

******************** SupportedImageTypes *********************

Add here the combinations of ImageTypes that elastix should support.

Syntax:

elxSupportedImageTypeMacro( FixedImagePixelType, FixedImageDimension, MovingImagePixelType, MovingImageDimension, Index )

Each combination of image types has as 'ID', the Index. Duplicate indices are not allowed. Index 0 is not allowed. The indices must form a "continuous series": ( index_{i} - index_{i-1} == 1 ).

The NrOfSupportedImageTypes must also be set to the right value.

elastix, and all its components, must be recompiled after adding a line in this file.

Definition at line 53 of file elxSupportedImageTypes.h.

## SupportedFixedImageDimensionSequence

const auto elastix::SupportedFixedImageDimensionSequence

Initial value:
=
FixedImageDimensionSupport<>::AddSupportedDimensions(std::index_sequence<>())
elastix::FixedImageDimensionSupport::AddSupportedDimensions
static constexpr auto AddSupportedDimensions(std::index_sequence< VIndex... >)
Definition elxSupportedImageDimensions.h:68

A sequence of the dimensions of supported fixed images

Definition at line 92 of file elxSupportedImageDimensions.h.

Generated on 1768596610 for elastix by 1.15.0 |